Bug 249288 - x11-toolkits/gtk30: update to 3.24.23
Summary: x11-toolkits/gtk30: update to 3.24.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://gitlab.gnome.org/GNOME/gtk/co...
Keywords: patch
Depends on: 247067
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-13 07:02 UTC by Jan Beich
Modified: 2020-09-16 15:26 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v1 (2.66 KB, patch)
2020-09-13 07:02 UTC, Jan Beich
no flags Details | Diff
Patch to update x11-toolkits/gtk30 (88.11 KB, patch)
2020-09-14 08:18 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-09-13 07:02:28 UTC
Created attachment 217928 [details]
v1

See NEWS additions from URL.
Comment 1 Jan Beich freebsd_committer 2020-09-13 07:05:00 UTC
While ABI should be safe many previous updates passed exp-run.
Comment 2 Tobias C. Berner freebsd_committer 2020-09-13 07:06:17 UTC
LGTM after an exp-run.
Comment 3 Olivier Duchateau 2020-09-14 08:18:32 UTC
Created attachment 217948 [details]
Patch to update x11-toolkits/gtk30

- Update to 3.24.23
- Adjust dependencies
- Switch to the Meson build system

About options in x11-toolkits/gtk30, remove X11, because it is still mandatory for some desktops environment (especially for Xfce, no Wayland support even in next release).

As gtk+3 provides gtk-update-icon-cache utility, move graphics/gtk-update-icon-cache to x11-toolkits/gtk-update-icon-cache. It is now slave port!

Fix circular dependencies in Mk/Uses/gnome.mk and x11-themes/adwaita-icon-theme.

Note: tested with GLib 2.66.0 and GObject introspection 1.66.0
Comment 4 Jan Beich freebsd_committer 2020-09-14 09:01:42 UTC
(In reply to Olivier Duchateau from comment #3)
> - Switch to the Meson build system

This was intentionally skipped in bug 247067 and here due to increased risk of side effects. I don't want to debug Meson issues with ~2 weeks before 2020Q4 is branched.

> About options in x11-toolkits/gtk30, remove X11, because it is
> still mandatory for some desktops environment (especially for Xfce,
> no Wayland support even in next release).

I need X11-less support for minimal, embedded and debugging. If you're going to force your Xfce bias here, please, file a separate bug instead of hijacking trivial update with a scope creep.
Comment 5 Antoine Brodin freebsd_committer 2020-09-16 14:50:26 UTC
Exp-run looks fine for v1 version of the patch
Comment 6 commit-hook freebsd_committer 2020-09-16 15:25:31 UTC
A commit references this bug:

Author: jbeich
Date: Wed Sep 16 15:24:59 UTC 2020
New revision: 548787
URL: https://svnweb.freebsd.org/changeset/ports/548787

Log:
  x11-toolkits/gtk30: update to 3.24.23

  Changes:	https://gitlab.gnome.org/GNOME/gtk/compare/3.24.20...3.24.23
  PR:		249288
  Approved by:	tcberner
  Exp-run by:	antoine

Changes:
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/distinfo
  head/x11-toolkits/gtk30/files/patch-Makefile.in